<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

</head>


<BODY onBlur="self.focus();">
<?php

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";$factura="";
$fechai="";$fechaf="";$cliente="";
   							  
if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"]; 
	$factura=$_REQUEST["factura"];  
	$fechai=$_REQUEST["fechai"];  
	$fechaf=$_REQUEST["fechaf"];  
	$cliente=$_REQUEST["cliente"];  		
}


?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:90%;">
    <div class="panel panel-primary">
      <div class="panel-heading" align="left">  REIMPRIME VENTA</div>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="95" height="0">Fecha Inicial</td>
                      <td width="171"><input name="fechai" type="date" id="fechai"
                            class="form-control" data-placement="right"  style="width: 100%" 
                             onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"   value="<?php echo $fechai; ?>" 
							  onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"></td>
                      <td width="79">Fecha Final</td>
                      <td width="176"><input name="fechaf" type="date"  id="fechaf"
                      			class="form-control" data-placement="right"  style="width: 100%"                              
                             onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"   value="<?php echo $fechaf; ?>" size="10" maxlength="10"
							  onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"></td>
                      <td width="76">No Factura</td>
                      <td width="152" height="0"><div align="left">
                        <input name="factura" type="text"   id="factura" value="<?php echo $factura; ?>" size="10" 
                        class="form-control" data-placement="right" title="Digite no factura" style="width: 150px" 
								onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'">
                      </div></td>
                      <td width="82" align="left" valign="middle">Producto</td>
                      <td width="88" align="left" valign="middle"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" size="10" 
                        class="form-control" data-placement="right" title="Digite no factura" style="width: 150px" 
                        onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="89" align="left" valign="middle"><img src='../imagenes/nuevo.png' width='30px' height='30px' 
						 onClick="javascript:window.open('frm_producto_buscar.php?tabla=producto&Obuscar=0','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" title="Clic para buscar Producto"  /></td>
                      <td width="117" align="left" valign="middle">Cliente</td>
                      <td width="137" align="left" valign="middle"><input name="cliente" type="text"   id="cliente" value="<?php echo $cliente; ?>" size="10" 
                        class="form-control" style="width: 150px" 
                        onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="172" align="left" valign="middle"><img src='../imagenes/nuevo.png' width='30px' height='30px' 
						 onClick="javascript:window.open('frm_cliente_buscar.php?preventa=0&Obuscar=0','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" title="Clic para buscar cliente"  /></td>
                    </tr>
                    <tr> 
                      <td height="1" colspan="12" align="center">
                      <div align="center">
                        <input name="buscar2" type="submit" id="buscar2" value="Buscar Venta" title="Clic para Buscar"  class="btn btn-primary">
                      </div></td>
                    </tr>
                    <tr> 
                      <td colspan="12"><div align="center">
                        <?php
					  				   
					
					
					 if($fechai<>"" && $fechaf<>"")
					   {   
					       if($fechai<>"" && $fechaf<>""){$sqlfecha=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfecha="";}
							
							echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr><td colspan='11' class='btn-primary'><CENTER>DETALLE DE VENTA ENTRE FECHAS $fechai - $fechaf</CENTER></td></tr>";
							echo "<tr >";
							echo "<td width='5%' class='btn-primary'></td>";
							echo "<td class='btn-primary'><center>Producto</center></td>";
							echo "<td class='btn-primary'><center>Nombre</center></td>";
							echo "<td class='btn-primary'><center>Cantidad</center></td>";
							echo "<td class='btn-primary'><center>Precio</center></td>";
							echo "<td class='btn-primary'><center>Total</center></td>";		
							echo "<td class='btn-primary'><center>Fecha</center></td>";							
							echo "<td class='btn-primary'><center>Hora</center></td>";
							echo "<td class='btn-primary'><center>No Tiquete POS</center></td>";		
							echo "<td class='btn-primary'><center>Cliente</center></td>";							
							echo "<td class='btn-primary'><center></center></td>";							
							echo "</tr>";
					   
					   		if($id<>""){$sqlproducto="and producto='".$id."'";}else  {$sqlproducto="";}
							if($factura<>""){$sqlfactura="and factura='".$factura."'";}else  {$sqlfactura="";}
							if($cliente<>""){$sqlcliente="and cliente='".$cliente."'";}else  {$sqlcliente="";}
							$sumagentot=0;
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado,fecha ,hora,factura,cliente,empresa 
							 						from venta
													 where id>0
													 $sqlfecha
													 $sqlfactura													 
													 $sqlproducto
													 $sqlcliente
													 order by fecha,factura desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									$fecha=$datos[7];
									$hora=$datos[8];
									$factura=$datos[9];
									$cliente=$datos[10];
									$empresa=$datos[11];
									
									$sql_datosre=mysqli_query( $conexion,"SELECT iva from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									
									
									if($cliente>0)
									  {	$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
										while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
										if($contar>=1)
										{
											$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
											while($datosrs= mysqli_fetch_row($sql_contar)){ $nombrec=$datosrs[0];}											
										}
									  }	
									 else {$nombrec="";} 
									
									
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									
									 $sql_datospro=mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro))
									   { 
									    $nproducto=$datosrs[0];
										$descripcion=$datosrs[1];
										$paqueteunidad=$datosrs[2];									   
									   }
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 echo "<tr bgcolor=$color class='textoprefac'>
											  <td width='5%' bgcolor=$colorpu>";
											   if($estado=='F')
											    {
											    echo "<div align='center'>
												<input name='idi$c' id='idi$c' type='hidden' class='texto'  value='$idi' size='5' readonly >
												<input name='productoa$c' id='productoa$c' type='hidden' class='texto'  value='$producto' size='5' readonly>
												<input name='cantp$c' id='cantp$c' type='hidden' class='texto'  value='$cantidad' size='5' readonly>";
												}
												else { echo "Anulado";}
											  
											   if($paqueteunidad=='PU')
											   { echo "<select name='paqueteunidad$c' class='texto' id='paqueteunidad$c' onChange='Opaquete.value=1;submit();'>";
												  if($paqueteunidad==""){echo "<option value='' selected></option>";}
												  else {echo "<option value='' ></option>";}
												  if($paqueteunidad=="P"){echo "<option value='P$producto' selected>P</option>";}
												  else {echo "<option value='P$producto' >P</option>";}
												  if($paqueteunidad=="U"){echo "<option value='U$producto' selected>U</option>";}
												  else {echo "<option value='U$producto' >U</option>";}													
												echo "</select>";
											
												}  
												  echo "<input name='cambia' type='hidden' id='cambia' value='-' 
												  onClick='oquita.value=1;Obuscar.value=1;' class='botones' title='Clic para eliminar el item ingresado'>";
												echo "</div>
											   </td>																					
											  <td>$producto</td>
											  <td>$nproducto</td>
											  <td><div align='right'>$cantidad</div></td>
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>		
											  <td><div align='right'>$fecha</div></td>		
											  <td><div align='right'>$hora</div></td>
											  <td><div align='right'>$factura</div></td>	
											  <td><div align='right'>$nombrec</div></td>
											  <td>";
											  ?>
                        <input name="imprime" type="submit" id="imprime" value="Imprime"  class="btn btn-primary" onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>&empresa=<?php echo $empresa; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=800');">
                        <?php
                                              echo "</td>											 										 
											</tr>";
											$c=$c+1;
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
											
											if($estado=='I')
											    {$sumaI=$sumaI+$totalitem;}
											
										$sumagentot=$sumagentot+$totalitem;
								  }	//04
								  $neto=$sumag+$sumaiva;
								 echo "<tr><td colspan='5'>TOTAL VENTA</td>
								    <td colspan='5'>".number_format($sumagentot,0)."</td>
									</tr>";
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						
                             				
						   
						   }
					 else
					  {	   
						   if($factura>0)
						   {
								echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
								echo "<tr><td colspan='8' class='btn-primary'><font size='4' color='#ffffff'><CENTER>DETALLE DE VENTA POR FACTURA</CENTER></font></td></tr>";
								echo "<tr>";
								echo "<td width='5%' class='btn-primary'><center></center></td>";
								echo "<td class='btn-primary'><center>Producto</center></td>";
								echo "<td class='btn-primary'><center>Nombre</center></td>";
								echo "<td class='btn-primary'><center>Cantidad</center></td>";
								echo "<td class='btn-primary'><center>Precio</center></td>";
								echo "<td class='btn-primary'><center>Total</center></td>";
								echo "<td class='btn-primary'><center>Tipo Pago</center></td>";		
								echo "<td class='btn-primary'><center></center></td>";						
								echo "</tr>";
						   
								 ?>
                        <input name="imprime" type="hidden" id="imprime" value="Imprime"  class="btn btn-primary" onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=600');">
                        <?php 
								
								if($factura<>""){$sqlfactura="and factura='".$factura."'";}else  {$sqlfactura="";}
								$sumagentot=0;
								  $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado,tipopago,empresa from venta
														 where id>0
														 $sqlfactura");
														  
									$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
								   while ($datos= mysqli_fetch_row($sql_datos))//04e
									  { 
										$idi=$datos[0];
										$producto=$datos[1];
										$cantidad=$datos[2];
										$precio=$datos[3];									
										$fecsis=$datos[4];
										$usuario=$datos[5];
										$estado=$datos[6];
										$tipopago=$datos[7];	
										$empresa=$datos[8];	
									 
										 if($tipopago=='EF')
										   {$npago="Efectivo";
										   }							
										 if($tipopago=='CR')
										   {$npago="Credito";
										   }
										
										$sql_datosre=mysqli_query( $conexion,"SELECT iva from producto where id='".$producto."'");
										 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
										
										if($c%2==0){$color="#EAEAEA";}
										else {$color="#BFBFBF";}															
										
										 $sql_datospro =mysqli_query( $conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
										  while($datosrs= mysqli_fetch_row($sql_datospro))
										   { 
											$nproducto=$datosrs[0];
											$descripcion=$datosrs[1];
											$paqueteunidad=$datosrs[2];
										   
										   }
										  
										 $totalitem=$cantidad*$precio;
										 if($iva>0){$totaliva=($totalitem*$iva)/100;}
										 else {$totaliva=0;}
										 
										 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
										 
										 echo "<tr bgcolor=$color class='textoprefac'>
												  <td width='5%' bgcolor=$colorpu>";
												   if($estado=='F')
													{
													echo "<div align='center'><input type='checkbox' name='ch$c'>
													<input name='idi$c' id='idi$c' type='hidden' class='texto'  value='$idi' size='5' readonly>
													<input name='productoa$c' id='productoa$c' type='hidden' class='texto'  value='$producto' size='5' readonly>
													<input name='cantp$c' id='cantp$c' type='hidden' class='texto'  value='$cantidad' size='5' readonly>";
													}
													else { echo "Anulado";}
												  
												   if($paqueteunidad=='PU')
												   { echo "<select name='paqueteunidad$c' class='texto' id='paqueteunidad$c' onChange='Opaquete.value=1;submit();'>";
													  if($paqueteunidad==""){echo "<option value='' selected></option>";}
													  else {echo "<option value='' ></option>";}
													  if($paqueteunidad=="P"){echo "<option value='P$producto' selected>P</option>";}
													  else {echo "<option value='P$producto' >P</option>";}
													  if($paqueteunidad=="U"){echo "<option value='U$producto' selected>U</option>";}
													  else {echo "<option value='U$producto' >U</option>";}													
													echo "</select>";
												
													}  
													  echo "<input name='cambia' type='hidden' id='cambia' value='-' 
													  onClick='oquita.value=1;Obuscar.value=1;' class='botones' title='Clic para eliminar el item ingresado'>";
													echo "</div>
												   </td>																					
												  <td>$producto</td>
												  <td>$nproducto</td>
												  <td><div align='right'>$cantidad</div></td>
												  <td><div align='right'>".number_format($precio,0)."</div></td>											  
												  <td><div align='right'>".number_format($totalitem,0)."</div></td>											 										 											  <td>$npago</td>
												  <td>";
												  ?>
                        <input name="imprime" type="submit" id="imprime" value="Imprime"  class="btn btn-primary" onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>&empresa=<?php echo $empresa; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=800');">
                        <?php
												echo "</td></tr>";
												$c=$c+1;
												if($estado<>'I')
												  {$sumag=$sumag+$totalitem;
												   $sumaiva=$sumaiva+$totaliva;
												  }
												
												if($estado=='I')
													{$sumaI=$sumaI+$totalitem;}
											$sumagentot=$sumagentot+$totalitem;	
												
									  }	//04
									  $neto=$sumag+$sumaiva;
									 
									 echo "</table></center>";
									$canti=$c-1;  
									echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
							
								   echo "<table border='0' width='90%' cellpadding='10' cellspacing='10'  class='table table-hover' style='font-size:15px'  >";
								   echo "<tr bgcolor='#EAEAEA'>
													  <td><font size='4'><div align='right'><strong>SUBTOTAL</strong></div></font></td>											   
													  <td><font size='6'><div align='right'><strong>".number_format($sumag,0)."</strong></div></font></td>								 
													</tr>";
										  echo "<tr bgcolor='#BFBFBF' >
													  <td><font size='4'><div align='right'><strong>IVA</strong></div></font></td>											   
													  <td><font size='6'><div align='right'><strong>".number_format($sumaiva,0)."</strong></div></font></td>									 
													</tr>";			
										  echo "<tr bgcolor='#EAEAEA' >
													  <td><font size='4'><div align='right'><strong>TOTAL</strong></div></font></td>											   
													  <td><font size='6'><div align='right'><strong>".number_format($neto,0)."</strong></div></font></td>											
													</tr>";		
										 echo "<tr bgcolor='#EAEAEA' >
													  <td><font size='4'><div align='right'><strong>TOTAL ANULADO</strong></div></font></td>											   
													  <td><font size='6'><div align='right'><strong>".number_format($sumaI,0)."</strong></div></font></td>											
													</tr>";					
									echo "</table>";						
							   
							   
							   }
						   
						   if($id>0)
					       {
							echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr><td colspan='11' class='btn-primary'><CENTER>DETALLE DE VENTA PRO PRODUCTO</CENTER></td></tr>";
							echo "<tr >";
							echo "<td width='5%' class='btn-primary'></td>";
							echo "<td class='btn-primary'><center>Producto</center></td>";
							echo "<td class='btn-primary'><center>Nombre</center></td>";
							echo "<td class='btn-primary'><center>Cantidad</center></td>";
							echo "<td class='btn-primary'><center>Precio</center></td>";
							echo "<td class='btn-primary'><center>Total</center></td>";		
							echo "<td class='btn-primary'><center>Fecha</center></td>";							
							echo "<td class='btn-primary'><center>Hora</center></td>";
							echo "<td class='btn-primary'><center>No Venta</center></td>";		
							echo "<td class='btn-primary'><center>Cliente</center></td>";							
							echo "<td class='btn-primary'><center></center></td>";							
							echo "</tr>";
					   
					   		if($id<>""){$sqlfactura="and producto='".$id."'";}else  {$sqlfactura="";}
							$sumagentot=0;
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado,fecha ,hora,factura,cliente ,empresa
							 						from venta
													 where id>0
													 $sqlfactura
													 order by fecha desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									$fecha=$datos[7];
									$hora=$datos[8];
									$factura=$datos[9];
									$cliente=$datos[10];
									$empresa=$datos[11];
									
									$sql_datosre=mysqli_query( $conexion,"SELECT iva from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									
									
									if($cliente>0)
									  {	$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$Ccliente."'");
										while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
										if($contar>=1)
										{
											$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
											while($datosrs= mysqli_fetch_row($sql_contar)){ $nombrec=$datosrs[0];}											
										}
									  }	
									 else {$nombrec="";} 
									
									
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									
									 $sql_datospro=mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro))
									   { 
									    $nproducto=$datosrs[0];
										$descripcion=$datosrs[1];
										$paqueteunidad=$datosrs[2];									   
									   }
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 echo "<tr bgcolor=$color class='textoprefac'>
											  <td width='5%' bgcolor=$colorpu>";
											   if($estado=='F')
											    {
											    echo "<div align='center'>
												<input name='idi$c' id='idi$c' type='hidden' class='texto'  value='$idi' size='5' readonly >
												<input name='productoa$c' id='productoa$c' type='hidden' class='texto'  value='$producto' size='5' readonly>
												<input name='cantp$c' id='cantp$c' type='hidden' class='texto'  value='$cantidad' size='5' readonly>";
												}
												else { echo "Anulado";}
											  
											   if($paqueteunidad=='PU')
											   { echo "<select name='paqueteunidad$c' class='texto' id='paqueteunidad$c' onChange='Opaquete.value=1;submit();'>";
												  if($paqueteunidad==""){echo "<option value='' selected></option>";}
												  else {echo "<option value='' ></option>";}
												  if($paqueteunidad=="P"){echo "<option value='P$producto' selected>P</option>";}
												  else {echo "<option value='P$producto' >P</option>";}
												  if($paqueteunidad=="U"){echo "<option value='U$producto' selected>U</option>";}
												  else {echo "<option value='U$producto' >U</option>";}													
												echo "</select>";
											
												}  
												  echo "<input name='cambia' type='hidden' id='cambia' value='-' 
												  onClick='oquita.value=1;Obuscar.value=1;' class='botones' title='Clic para eliminar el item ingresado'>";
												echo "</div>
											   </td>																					
											  <td>$producto</td>
											  <td>$nproducto</td>
											  <td><div align='right'>$cantidad</div></td>
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>		
											  <td><div align='right'>$fecha</div></td>		
											  <td><div align='right'>$hora</div></td>
											  <td><div align='right'>$factura</div></td>	
											  <td><div align='right'>$nombrec</div></td>
											  <td>";
											  
												  ?>
                        <input name="imprime" type="submit" id="imprime" value="Imprime"  class="btn btn-primary" onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>&empresa=<?php echo $empresa; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=800');">
                        <?php
											
                                             echo "</td>											 										 
											</tr>";
											$c=$c+1;
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
											
											if($estado=='I')
											    {$sumaI=$sumaI+$totalitem;}
									$sumagentot=$sumagentot+$totalitem;		
											
								  }	//04
								  $neto=$sumag+$sumaiva;
								  echo "<tr><td colspan='5'>TOTAL VENTA</td>
								    <td colspan='5'>".number_format($sumagentot,0)."</td>
									</tr>";
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						
                             				
						   
						   }
						   
						   if($cliente>0)
					       {
							echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr><td colspan='11' class='btn-primary'><CENTER>DETALLE DE VENTA POR CLIENTE</CENTER></td></tr>";
							echo "<tr >";
							echo "<td width='5%' class='btn-primary'></td>";
							echo "<td class='btn-primary'><center>Producto</center></td>";
							echo "<td class='btn-primary'><center>Nombre</center></td>";
							echo "<td class='btn-primary'><center>Cantidad</center></td>";
							echo "<td class='btn-primary'><center>Precio</center></td>";
							echo "<td class='btn-primary'><center>Total</center></td>";		
							echo "<td class='btn-primary'><center>Fecha</center></td>";							
							echo "<td class='btn-primary'><center>Hora</center></td>";
							echo "<td class='btn-primary'><center>No Venta</center></td>";		
							echo "<td class='btn-primary'><center>Cliente</center></td>";							
							echo "<td class='btn-primary'><center></center></td>";							
							echo "</tr>";
					   
					   		if($cliente>0){$sqlcliente="and cliente='".$cliente."'";}else  {$sqlcliente="";}
							$sumagentot=0;
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,estado,fecha ,hora,factura,cliente ,empresa
							 						from venta
													 where id>0
													 $sqlcliente
													 order by fecha desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									$fecha=$datos[7];
									$hora=$datos[8];
									$factura=$datos[9];
									$cliente=$datos[10];
									$empresa=$datos[11];
									
									$sql_datosre=mysqli_query( $conexion,"SELECT iva from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									
									
									if($cliente>0)
									  {	$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
										while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
										if($contar>=1)
										{
											$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
											while($datosrs= mysqli_fetch_row($sql_contar)){ $nombrec=$datosrs[0];}											
										}
									  }	
									 else {$nombrec="";} 
									
									
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									
									 $sql_datospro=mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro))
									   { 
									    $nproducto=$datosrs[0];
										$descripcion=$datosrs[1];
										$paqueteunidad=$datosrs[2];									   
									   }
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 echo "<tr bgcolor=$color class='textoprefac'>
											  <td width='5%' bgcolor=$colorpu>";
											   if($estado=='F')
											    {
											    echo "<div align='center'>
												<input name='idi$c' id='idi$c' type='hidden' class='texto'  value='$idi' size='5' readonly >
												<input name='productoa$c' id='productoa$c' type='hidden' class='texto'  value='$producto' size='5' readonly>
												<input name='cantp$c' id='cantp$c' type='hidden' class='texto'  value='$cantidad' size='5' readonly>";
												}
												else { echo "Anulado";}
											  
											   if($paqueteunidad=='PU')
											   { echo "<select name='paqueteunidad$c' class='texto' id='paqueteunidad$c' onChange='Opaquete.value=1;submit();'>";
												  if($paqueteunidad==""){echo "<option value='' selected></option>";}
												  else {echo "<option value='' ></option>";}
												  if($paqueteunidad=="P"){echo "<option value='P$producto' selected>P</option>";}
												  else {echo "<option value='P$producto' >P</option>";}
												  if($paqueteunidad=="U"){echo "<option value='U$producto' selected>U</option>";}
												  else {echo "<option value='U$producto' >U</option>";}													
												echo "</select>";
											
												}  
												  echo "<input name='cambia' type='hidden' id='cambia' value='-' 
												  onClick='oquita.value=1;Obuscar.value=1;' class='botones' title='Clic para eliminar el item ingresado'>";
												echo "</div>
											   </td>																					
											  <td>$producto</td>
											  <td>$nproducto</td>
											  <td><div align='right'>$cantidad</div></td>
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>		
											  <td><div align='right'>$fecha</div></td>		
											  <td><div align='right'>$hora</div></td>
											  <td><div align='right'>$factura</div></td>	
											  <td><div align='right'>$nombrec</div></td>
											    <td>";
											   ?>
                        <input name="imprime" type="submit" id="imprime" value="Imprime"  class="btn btn-primary" onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>&empresa=<?php echo $empresa; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=800');">
                        <?php
											
                                             echo "</td>										 										 
											</tr>";
											$c=$c+1;
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
											
											if($estado=='I')
											    {$sumaI=$sumaI+$totalitem;}
											
									$sumagentot=$sumagentot+$totalitem;		
								  }	//04
								  $neto=$sumag+$sumaiva;
								  echo "<tr><td colspan='5'>TOTAL VENTA</td>
								    <td colspan='5'>".number_format($sumagentot,0)."</td>
									</tr>";
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						
                             				
						   
						   }
						   
					  }
						   ?>
                        <br>
                        </div></td>
                    </tr>
                    <tr>
                      <td colspan="12"><input name="oguardar" type="hidden" id="oguardar">
                      <input name="oculto" type="hidden" id="oculto"></td>
                    </tr>
                  </table>
                    
</TD>
                </TR>
            </TBODY>
            </TABLE>
 </div>
</div>  
 
  
</form>
<div id="resultado"></div>
</body>
</html>
